import Constants, Globals, pygame
from pygame.locals import *

class Menu(object):
    def __init__(self, text="Choose your level (push a number 0-9)", font=None):
        self.coor = list(Globals.main_display.get_rect().center)
        if not font:
            self.font = Globals.font
        else:
            self.font = font
        self.text = text
        self.image = self.font.render(self.text, True, (255,255,255))
        self.coor[0] -= self.image.get_rect()[2] / 2
    def display(self):
        Globals.main_display.fill((0,0,0))
        Globals.main_display.blit(self.image, self.coor)

        pygame.display.update()

        while True:
            event = pygame.event.wait()
            if event.type == KEYDOWN:
                if ord('0') <= event.key <= ord('9'):
                    return int(str(chr(event.key)))
                if event.key == ord('q'):
                    return -1
                if event.key == K_ESCAPE:
                    return -1
        
            
